package com.etixpert.evolution.gui.servlets;

public class DefaultDiscountLevel {

	private Integer levelId;
	private Float border;
	private Float percentage;

	public DefaultDiscountLevel(Integer levelId, Float border, Float percentage) {
		this.levelId = levelId;
		this.border = border;
		this.percentage = percentage;
	}
	
	public Integer getLevelId() {
		return levelId;
	}

	public void setLevelId(Integer levelId) {
		this.levelId = levelId;
	}

	public Float getBorder() {
		return border;
	}

	public void setBorder(Float border) {
		this.border = border;
	}

	public Float getPercentage() {
		return percentage;
	}

	public void setPercentage(Float percentage) {
		this.percentage = percentage;
	}

	public String toString() {
		return "<b>netto > " + border.intValue()+"</b> (default: <b>" + percentage.intValue() + " &#37;</b>)";
	}
	
	public String toStringWithOnlyDefault() {
		return "(default: <b>" + percentage.intValue() + " &#37;</b>)";
	}
	
	
}
